summaryrefslogtreecommitdiff
path: root/desktop-themes/TraditionalOk/gtk-3.0/parse-sass.sh
diff options
context:
space:
mode:
Diffstat (limited to 'desktop-themes/TraditionalOk/gtk-3.0/parse-sass.sh')
-rwxr-xr-xdesktop-themes/TraditionalOk/gtk-3.0/parse-sass.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/desktop-themes/TraditionalOk/gtk-3.0/parse-sass.sh b/desktop-themes/TraditionalOk/gtk-3.0/parse-sass.sh
new file mode 100755
index 00000000..272da5d0
--- /dev/null
+++ b/desktop-themes/TraditionalOk/gtk-3.0/parse-sass.sh
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+if [ ! "$(which sassc 2> /dev/null)" ]; then
+ echo sassc needs to be installed to generate the css.
+ exit 1
+fi
+
+SASSC_OPT="-M -t compact"
+
+echo Generating the css...
+
+sassc $SASSC_OPT gtk.scss gtk.css